/*
 * Disegna una freccia orientata in (x,y) di lunghezza r ed angolo a
 *
 */

import java.awt.geom.AffineTransform;
import java.awt.geom.Path2D;

/**
 *
 * @author Gianfranco Oddenino
 */
public class Arrow extends Path2D.Double {

    public Arrow(double x, double y, double r, double a) {
        if (r > 0.0) {
            AffineTransform at = new AffineTransform();
            at.translate(x, y);
            at.rotate(a);
            at.scale(r, r);

            super.moveTo(0.5, 0.0);
            super.lineTo(0.25, -0.25);
            super.lineTo(0.25, -0.125);
            super.lineTo(-0.4841229183, -0.125);   // -(0.5^2-0.125^2)^0.5
            super.lineTo(-0.4841229183, 0.125);    // -(0.5^2-0.125^2)^0.5
            super.lineTo(0.25, 0.125);
            super.lineTo(0.25, 0.25);
            super.closePath();
            super.transform(at);
        }
    }

}
