import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;

import javax.swing.JButton;

public class JButtonShape extends JButton {

	public JButtonShape(String text) {
		super("");
		this.setContentAreaFilled(false);
		this.setFocusPainted(false);
		this.setBorderPainted(false);
	}

	@Override
	protected void paintComponent(Graphics g) {
		Graphics2D g2 = (Graphics2D) g;
		g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
		g2.setStroke(new BasicStroke(4.0f));
		g2.setPaint(Color.YELLOW);
		g2.fill(new Arrow(this.getWidth() / 2, this.getHeight() / 2, Math.min(this.getWidth(), this.getHeight()), Math.PI / 6.0));
		g2.setColor(Color.BLACK);
		g2.draw(new Arrow(this.getWidth() / 2, this.getHeight() / 2, Math.min(this.getWidth(), this.getHeight()), Math.PI / 6.0));
	}

}
